apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-09-18T02:14:18.432623Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '242982404'
  name: usurse-debian12-efi
  uid: 3465c0a5-4b04-4ff8-b523-c18688f448cd
  creationTimestamp: '2025-09-04T03:32:58Z'
  generation: 9
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:guestConverted': {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                  'f:tpm':
                    .: {}
                    'f:enabled': {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:resources': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-09-04T03:32:58Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-09-04T03:32:58Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:template':
            'f:spec':
              'f:domain':
                'f:firmware':
                  'f:bootloader':
                    'f:efi':
                      'f:persistent': {}
      manager: Mozilla
      operation: Update
      time: '2025-09-17T07:17:21Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:runStrategy': {}
      manager: virt-api
      operation: Update
      time: '2025-09-18T02:14:18Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:desiredGeneration': {}
          'f:observedGeneration': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:volumeSnapshotStatuses': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-09-18T02:14:23Z'
  namespace: usurse-cnv
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    guestConverted: 'true'
    migration: 9f34d1f3-1503-400c-bf9d-0691f6e19fd8
    plan: 943bbf55-3800-462d-9128-ac2bba00bd51
    vmID: vm-85861
spec:
  runStrategy: Halted
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: usurse-debian12-efi
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: vol-0
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:86:b4:17'
              masquerade: {}
              model: virtio
              name: net-0
          tpm:
            enabled: false
        firmware:
          bootloader:
            efi:
              persistent: true
              secureBoot: false
          serial: 42062cac-b742-952b-4cdd-dcf09fce3d65
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: usurse-debian12-vm-85861-k6mts
status:
  conditions:
    - lastProbeTime: '2025-09-18T02:14:23Z'
      lastTransitionTime: '2025-09-18T02:14:23Z'
      message: VMI does not exist
      reason: VMINotExists
      status: 'False'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
  desiredGeneration: 9
  observedGeneration: 9
  printableStatus: Stopped
  runStrategy: Halted
  volumeSnapshotStatuses:
    - enabled: true
      name: vol-0
    - enabled: true
      name: persistent-state-for-usurse-debian12-efi

